#ifndef SUB_GENERATOR_H
#define SUB_GENERATOR_H

#include "../common/structs.h"

void subsample_render(int min_height, int max_height);

int calc_sub_sample(int x, int y, int dis);
void interpolate(int x, int y, int obj_num, int dis);
int is_close_match(int x, int y, int dis);
void table_interpolate(int x, int y, int obj_num, int dis);

#endif /* RAY_GENERATOR_H */
